Skip to main content
POST
Register and check in an event walk-in

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

eventId
integer
required

Record ID in the authenticated organization.

Example:

42

Body

application/json
email
string<email>
required

Purchaser email; required for public registration.

Maximum string length: 255
Example:

"jane@example.org"

ticket_type_id
integer
required

Active ticket type belonging to this event.

Example:

42

first_name
string | null

First name.

Maximum string length: 255
Example:

"Jane"

last_name
string | null

Last name.

Maximum string length: 255
Example:

"Doe"

phone
string | null

Contact telephone.

Maximum string length: 80
Example:

"+12565550123"

idempotency_key
string | null

Retry key; required for public V2 and staff registrations. Reuse the same key for the same cart.

Maximum string length: 120
Example:

"registration-request-1"

Response

Register and check in an event walk-in completed.

data
object